/*
 * Copyright (c)2012-2017 JingTong RDC(Research and Development Centre), Inc. All rights reserved.
 *
 * NOTICE: All information contained herein is, and remains the property of JingTong RDC ,
 *         if any. The intellectual and technical concepts contained herein are proprietary
 *         to JingTong RDC and covered by China and Foreign Patents, patents in process,
 *         and are protected by trade secret or copyright law. Dissemination of this information
 *         or reproduction of this material is strictly forbidden unless prior written permission
 *         is obtained from JingTong RDC.
 */

define(function(require, exports, module) {
    var Class = require('Class');
    var Foundation = require('Foundation');
    var FormInputWidget = require('./input');

    var FormDetailCalateWidget = Class.create({
        extend: FormInputWidget,
        xtype: FormInputWidget.XTYPE.DETAIL_CALCULATE,
        settingPanelType: 'detailcalculate',
        _defaultOptions: function() {
            return Foundation.apply(FormDetailCalateWidget.superclass._defaultOptions.apply(this), {
                isTextArea: false
            });
        },
        _defaultSetting: function() {
            return Foundation.apply(FormDetailCalateWidget.superclass._defaultSetting.apply(this), {
                title: "计算控件",
                formula: null,
                valueType: 'formula'
            })
        },
        getOptions: function() {
            return $.extend(FormDetailCalateWidget.superclass.getOptions.apply(this), {

            });
        }
    });
    return FormDetailCalateWidget;
});